## Errors

Errors — Common error types.

## Functions

const gchar * | mbim_core_error_get_string ()
const gchar * | mbim_protocol_error_get_string ()
const gchar * | mbim_status_error_get_string ()

## Types and Values

enum | MbimCoreError
enum | MbimProtocolError
enum | MbimStatusError

## Object Hierarchy

        GEnum
        ├── MbimCoreError
        ├── MbimProtocolError
        ╰── MbimStatusError

## Description

This section defines common error types used in the interface.

## Functions

### mbim_core_error_get_string ()

    const gchar *
    mbim_core_error_get_string (MbimCoreError val);

Gets the nickname string for the MbimCoreError specified at `val` .

#### Parameters

val | a MbimCoreError. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_protocol_error_get_string ()

    const gchar *
    mbim_protocol_error_get_string (MbimProtocolError val);

Gets the nickname string for the MbimProtocolError specified at `val` .

#### Parameters

val | a MbimProtocolError. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_status_error_get_string ()

    const gchar *
    mbim_status_error_get_string (MbimStatusError val);

Gets the nickname string for the MbimStatusError specified at `val` .

#### Parameters

val | a MbimStatusError. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

## Types and Values

### enum MbimCoreError

Common errors that may be reported by libmbim-glib.

#### Members

MBIM_CORE_ERROR_FAILED | Operation failed. |
MBIM_CORE_ERROR_WRONG_STATE | Operation cannot be executed in the current state. |
MBIM_CORE_ERROR_TIMEOUT | Operation timed out. |
MBIM_CORE_ERROR_INVALID_ARGS | Invalid arguments given. |
MBIM_CORE_ERROR_INVALID_MESSAGE | MBIM message is invalid. |
MBIM_CORE_ERROR_UNSUPPORTED | Not supported. |
MBIM_CORE_ERROR_ABORTED | Operation aborted. |
MBIM_CORE_ERROR_UNKNOWN_STATE | State is unknown. Since 1.16. |
MBIM_CORE_ERROR_INCOMPLETE_MESSAGE | MBIM message is incomplete. Since 1.28. |

Since: 1.0

### enum MbimProtocolError

MBIM protocol errors.

#### Members

MBIM_PROTOCOL_ERROR_INVALID | Invalid MBIM error. |
MBIM_PROTOCOL_ERROR_TIMEOUT_FRAGMENT | Timeout waiting for fragment. |
MBIM_PROTOCOL_ERROR_FRAGMENT_OUT_OF_SEQUENCE | Fragment received out of sequence. |
MBIM_PROTOCOL_ERROR_LENGTH_MISMATCH | Length mismatch. |
MBIM_PROTOCOL_ERROR_DUPLICATED_TID | Duplicated transaction ID. |
MBIM_PROTOCOL_ERROR_NOT_OPENED | Not opened. |
MBIM_PROTOCOL_ERROR_UNKNOWN | Unknown error. |
MBIM_PROTOCOL_ERROR_CANCEL | Cancel the operation. |
MBIM_PROTOCOL_ERROR_MAX_TRANSFER | Maximum control transfer not supported. |

Since: 1.0

### enum MbimStatusError

Status of the MBIM request.

#### Members

MBIM_STATUS_ERROR_NONE | Success, no error. |
MBIM_STATUS_ERROR_BUSY | Busy. |
MBIM_STATUS_ERROR_FAILURE | Failure. |
MBIM_STATUS_ERROR_SIM_NOT_INSERTED | SIM not inserted. |
MBIM_STATUS_ERROR_BAD_SIM | Bad SIM. |
MBIM_STATUS_ERROR_PIN_REQUIRED | PIN required. |
MBIM_STATUS_ERROR_PIN_DISABLED | PIN disabled. |
MBIM_STATUS_ERROR_NOT_REGISTERED | Not registered. |
MBIM_STATUS_ERROR_PROVIDERS_NOT_FOUND | Providers not found. |
MBIM_STATUS_ERROR_NO_DEVICE_SUPPORT | No device support. |
MBIM_STATUS_ERROR_PROVIDER_NOT_VISIBLE | Provider not visible. |
MBIM_STATUS_ERROR_DATA_CLASS_NOT_AVAILABLE | Data class not available. |
MBIM_STATUS_ERROR_PACKET_SERVICE_DETACHED | Packet service detached. |
MBIM_STATUS_ERROR_MAX_ACTIVATED_CONTEXTS | Max activated contexts. |
MBIM_STATUS_ERROR_NOT_INITIALIZED | Not initialized. |
MBIM_STATUS_ERROR_VOICE_CALL_IN_PROGRESS | Voice call in progress. |
MBIM_STATUS_ERROR_CONTEXT_NOT_ACTIVATED | Context not activated. |
MBIM_STATUS_ERROR_SERVICE_NOT_ACTIVATED | Service not activated. |
MBIM_STATUS_ERROR_INVALID_ACCESS_STRING | Invalid access string. |
MBIM_STATUS_ERROR_INVALID_USER_NAME_PWD | Invalid user name or password. |
MBIM_STATUS_ERROR_RADIO_POWER_OFF | Radio power off. |
MBIM_STATUS_ERROR_INVALID_PARAMETERS | Invalid parameters. |
MBIM_STATUS_ERROR_READ_FAILURE | Read failure. |
MBIM_STATUS_ERROR_WRITE_FAILURE | Write failure. |
MBIM_STATUS_ERROR_NO_PHONEBOOK | No phonebook. |
MBIM_STATUS_ERROR_PARAMETER_TOO_LONG | Parameter too long. |
MBIM_STATUS_ERROR_STK_BUSY | SIM toolkit busy. |
MBIM_STATUS_ERROR_OPERATION_NOT_ALLOWED | Operation not allowed. |
MBIM_STATUS_ERROR_MEMORY_FAILURE | Memory failure. |
MBIM_STATUS_ERROR_INVALID_MEMORY_INDEX | Invalid memory index. |
MBIM_STATUS_ERROR_MEMORY_FULL | Memory full. |
MBIM_STATUS_ERROR_FILTER_NOT_SUPPORTED | Filter not supported. |
MBIM_STATUS_ERROR_DSS_INSTANCE_LIMIT | DSS instance limit. |
MBIM_STATUS_ERROR_INVALID_DEVICE_SERVICE_OPERATION | Invalid device service operation. |
MBIM_STATUS_ERROR_AUTH_INCORRECT_AUTN | Incorrect AUTN when sending authentication. |
MBIM_STATUS_ERROR_AUTH_SYNC_FAILURE | Synchronization failure during the authentication. |
MBIM_STATUS_ERROR_AUTH_AMF_NOT_SET | AMF bit not set in the authentication. |
MBIM_STATUS_ERROR_CONTEXT_NOT_SUPPORTED | ContextType not supported by the operation. Since 1.16. |
MBIM_STATUS_ERROR_SMS_UNKNOWN_SMSC_ADDRESS | Unknown SMSC address. |
MBIM_STATUS_ERROR_SMS_NETWORK_TIMEOUT | Network timeout when sending SMS. |
MBIM_STATUS_ERROR_SMS_LANG_NOT_SUPPORTED | Language not supported in SMS. |
MBIM_STATUS_ERROR_SMS_ENCODING_NOT_SUPPORTED | Encoding not supported in SMS. |
MBIM_STATUS_ERROR_SMS_FORMAT_NOT_SUPPORTED | Format not supported in SMS. |
MBIM_STATUS_ERROR_MS_NO_LOGICAL_CHANNELS | Logical channel open not successful due to channels not available. Defined by Microsoft for UICC low level access. Since 1.32. |
MBIM_STATUS_ERROR_MS_SELECT_FAILED | Logical channel open not successful due to SELECT failure. Defined by Microsoft for UICC low level access. Since 1.32. |
MBIM_STATUS_ERROR_MS_INVALID_LOGICAL_CHANNEL | Logical channel number invalid. Defined by Microsoft for UICC low level access. Since 1.32. |
MBIM_STATUS_ERROR_INVALID_SIGNATURE | Invalid signature. Defined by Google for the carrier lock operation. Since 1.30. |
MBIM_STATUS_ERROR_INVALID_IMEI | Invalid IMEI. Defined by Google for the carrier lock operation. Since 1.30. |
MBIM_STATUS_ERROR_INVALID_TIMESTAMP | Invalid timestamp. Defined by Google for the carrier lock operation. Since 1.30. |
MBIM_STATUS_ERROR_NETWORK_LIST_TOO_LARGE | List of networks too large. Defined by Google for the carrier lock operation. Since 1.30. |
MBIM_STATUS_ERROR_SIGNATURE_ALGORITHM_NOT_SUPPORTED | Signature algorithm not supported. Defined by Google for the carrier lock operation. Since 1.30. |
MBIM_STATUS_ERROR_FEATURE_NOT_SUPPORTED | Feature not supported. Defined by Google for the carrier lock operation. Since 1.30. |
MBIM_STATUS_ERROR_DECODE_OR_PARSING_ERROR | Decode or parsing error. Defined by Google for the carrier lock operation. Since 1.30. |

Since: 1.0